<div class="container" *ngIf="authService.isLogged | async">

    <ng-container *ngIf="isAdministrador || isFuncionario || isDisenador">
        <mat-toolbar>
            <span> Editar estado de mi tarea </span>
            <div class="example-spacer"></div>
            <button mat-raised-button routerLink="/listarMisTareas">Volver</button>

        </mat-toolbar>

        <mat-card style="margin-top: 5px;">
            <form [formGroup]="editarForm" (ngSubmit)="postForm(editarForm.value)">
                <mat-grid-list cols="4" rowHeight="80px">


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>fecha_asignacion</mat-label>
                            <input type="text" matInput placeholder="" formControlName="fecha_asignacion" autocomplete="off"
                            readonly>
                        </mat-form-field>
                    </mat-grid-tile>
                    <mat-grid-tile [colspan]="3" [rowspan]="6">
                        <img class="imagen" src="./assets/img/edit-task.svg">
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>fecha_plazo </mat-label>
                            <input type="text" matInput placeholder="" formControlName="fecha_plazo" autocomplete="off"
                            readonly>
                        </mat-form-field>
                    </mat-grid-tile>

                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <mat-form-field class="ancho">
                            <mat-label>Modificar Estado<mat-icon color="accent">edit</mat-icon></mat-label>
                            <mat-select matInput formControlName="id_estado_tarea">
                                <mat-option value="{{area.id_estado_tarea}}" *ngFor="let area of estados">
                                    {{area.nombre_estado}}
                                </mat-option>
                            </mat-select>

                        </mat-form-field>
                    </mat-grid-tile>

                    


                    <mat-grid-tile [colspan]="1" [rowspan]="1">
                        <button mat-raised-button color="accent" type="submit" [disabled]="editarForm.invalid"
                            class="example-spacer">Guardar Cambios</button>
                    </mat-grid-tile>

                </mat-grid-list>

            </form>
        </mat-card>
    </ng-container>

</div>